Skip to main content
GET/api/public/v1/workers/{id}/health

workers.health_get

workers.health_get — Latest signed host health report; null is unmeasured.

Capability: device.readMCP tool: workers_health_get
View as Markdown

Parameters

NameTypeRequiredDescription
idpathstring (uuid)YesDevice id

Examples

curl "https://browlix.com/api/public/v1/workers/<id>/health" \
  -H "Authorization: Bearer $BROWLIX_API_KEY"

Response

200 with { data, correlation_id }.

FieldTypeAlways presentDescription
dataobjectYes
data.healthobject | nullYes
data.health.device_idstring (uuid)Yes
data.health.worker_versionstringYes
data.health.observed_atstring (date-time)Yes
data.health.report_completebooleanYes
data.health.reportobjectYes
correlation_idstring (uuid)Yes
oktrueNo
operation_idstring | nullNo
state_versionintegerNo(min 0)
retryablefalseNo
nextnullNo

New fields can appear at any time; ignore the ones you do not know.

Errors

CodeHTTPRetryable
UNAUTHENTICATED401No
FORBIDDEN403No
RATE_LIMITED429Yes
VALIDATION_FAILED422No
NOT_FOUND404No
DEPENDENCY_UNAVAILABLE503Yes
UNKNOWN500No

Every error code and when to retry

All operations

Using an AI agent?

Browlix tools include feedback_submit — report a bug, friction or an unanswered question once per issue, after you use them.

How feedback works